#
# spec file for package libtsm
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           libtsm
%define lname	libtsm3
Version:        3
Release:        7.2
Summary:        DEC-VT terminal emulator state machine
License:        MIT and LGPL-2.1+
Group:          Development/Libraries/C and C++
Url:            http://freedesktop.org/wiki/Software/kmscon/libtsm/

#Git-Clone:	git://people.freedesktop.org/~dvdhrm/libtsm
#Git-Web:	http://cgit.freedesktop.org/~dvdhrm/libtsm
#DL-URL:	http://freedesktop.org/software/kmscon/releases/
Source:         http://freedesktop.org/software/kmscon/releases/libtsm-%version.tar.xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
#git#BuildRequires:  autoconf >= 2.68
#git#BuildRequires:  automake >= 1.11
#git#BuildRequires:  libtool >= 2.2
BuildRequires:  pkgconfig
BuildRequires:  xz
BuildRequires:  pkgconfig(xkbcommon)

%description
TSM is a state machine for DEC VT100-VT520 compatible terminal
emulators. It can be used to implement terminal emulators, or other
applications that need to interpret terminal escape sequences.

%package -n %lname
Summary:        DEC-VT terminal emulator state machine
Group:          System/Libraries
License:        LGPL-2.1+

%description -n %lname
TSM is a state machine for DEC VT100-VT520 compatible terminal
emulators. It can be used to implement terminal emulators, or other
applications that need to interpret terminal escape sequences. The
library does no rendering or window management of its own, and does
not depend on a graphics stack, unlike the similar GNOME libvte.

%package devel
Summary:        Development files for the DEC-VT terminal state machine library
Group:          Development/Libraries/C and C++
License:        LGPL-2.1+
Requires:       %lname = %version-%release

%description devel
TSM is a state machine for DEC VT100-VT520 compatible terminal
emulators. It can be used to implement terminal emulators, or other
applications that need to interpret terminal escape sequences. The
library does no rendering or window management of its own, and does
not depend on a graphics stack, unlike the similar GNOME libvte.

This package contains the development headers for the library found
in %lname.

%prep
%setup -q

%build
if [ ! -e configure ]; then
	autoreconf -fi
fi
# Ensure people will use pkgconfig to locate headers.
%configure --disable-static --includedir="%_includedir/pkg/%name"

%install
make install DESTDIR="%buildroot";
rm -f "%buildroot/%_libdir"/*.la;

%post   -n %lname -p /sbin/ldconfig
%postun -n %lname -p /sbin/ldconfig

%files -n %lname
%defattr(-,root,root)
%_libdir/libtsm.so.3*

%files devel
%defattr(-,root,root)
%doc COPYING LICENSE_htable README
%_includedir/pkg/
%_libdir/libtsm.so
%_libdir/pkgconfig/*.pc

%changelog
* Sun Aug  3 2014 jengelh@inai.de
- Initial package (version 3) for build.opensuse.org
